Change log for abiword package in Ubuntu

175 of 109 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-01-27
Deleted in disco-proposed (Reason: moved to release)
abiword (3.0.2-8build2) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <email address hidden>  Mon, 14 Jan 2019 19:57:36 +0000

Available diffs

Superseded in disco-release on 2019-01-27
Deleted in disco-proposed on 2019-01-29 (Reason: moved to release)
abiword (3.0.2-8build1) disco; urgency=medium

  * No-change rebuild against libtidy5deb1

 -- Steve Langasek <email address hidden>  Wed, 14 Nov 2018 17:57:41 +0000
Superseded in disco-release on 2018-11-23
Deleted in disco-proposed on 2018-11-24 (Reason: moved to release)
abiword (3.0.2-8) unstable; urgency=medium

  * QA upload.
  * Manually rebuild against tidy-html5 2:5.6.0-4 (libtidy5deb1).

  [ Jeremy Bicha ]
  * debian: Do not use debian/not-installed file, use instructions
    in debian/rules instead.

 -- Boyuan Yang <email address hidden>  Thu, 25 Oct 2018 21:07:17 -0400

Available diffs

Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-03-11
Deleted in bionic-proposed (Reason: moved to release)
abiword (3.0.2-6) unstable; urgency=medium

  * QA upload.
  * Compile with --with-gnomevfs to fix CVE-2017-17529
    (Closes: #884923).
  * Bump to debhelper compat 11, no changes needed.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Update Vcs-* to reflect the move to Salsa.

 -- Simon Quigley <email address hidden>  Sun, 11 Mar 2018 04:41:01 -0500

Available diffs

Superseded in bionic-release on 2018-03-11
Deleted in bionic-proposed on 2018-03-13 (Reason: moved to release)
abiword (3.0.2-5) unstable; urgency=medium

  * QA upload.
  * Fix build with libical3. Closes: #883924.
  * Add explicit build dependency on libical-dev (>= 3.0).
  * Bump standards version.

 -- Matthias Klose <email address hidden>  Sun, 10 Dec 2017 09:37:43 +0100
Superseded in bionic-release on 2017-12-10
Deleted in bionic-proposed on 2017-12-12 (Reason: moved to release)
abiword (3.0.2-4ubuntu1) bionic; urgency=medium

  * Fix build with libical3.

 -- Matthias Klose <email address hidden>  Sat, 09 Dec 2017 12:43:39 +0100
Superseded in bionic-release on 2017-12-09
Published in artful-release on 2017-10-02
Deleted in artful-proposed (Reason: moved to release)
abiword (3.0.2-4) unstable; urgency=high

  [ Simon Quigley ]
  * QA upload.
  * Fix flickering (Closes: #851052, #848838) (LP: #1574278).

  [ Jeremy Bicha ]
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <email address hidden>  Sat, 30 Sep 2017 16:49:32 -0400
Superseded in artful-release on 2017-10-02
Deleted in artful-proposed on 2017-10-03 (Reason: moved to release)
abiword (3.0.2-3ubuntu1) artful; urgency=high

  * Fix flickering (LP: #1574278).

 -- Simon Quigley <email address hidden>  Sun, 24 Sep 2017 20:52:22 -0500
Superseded in artful-release on 2017-09-30
Deleted in artful-proposed on 2017-10-02 (Reason: moved to release)
abiword (3.0.2-3) unstable; urgency=medium

  [ Simon Quigley ]
  * QA upload.
  * Run wrap-and-sort to clean up the package a bit.
  * Bump Standards-version to 4.0.0, no changes needed.
  * Modify debian/rules to use instead of dpkg-parsechangelog.
  * Add Multi-Arch: same for abiword-plugin-grammar.
  * Solve binary file conflict between abiword-dbgsym
    and abiword-plugin-grammar-dbgsym (Closes: #868537).

  [ Jeremy Bicha ]
  * Rename gir1.2-abiword-1.0 to gir1.2-abi-1.0 to fix Lintian warning.
  * Have libabiword-3.0-dev depend on gir package.

  [ Mattia Rizzolo ]
  * Rename libabiword-3.0-dev to libabiword-dev, to better comply to
    Debian Policy § 8.4.

 -- Simon Quigley <email address hidden>  Sun, 30 Jul 2017 14:58:05 -0500

Available diffs

Superseded in artful-release on 2017-08-18
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
abiword (3.0.2-2) sid; urgency=high

  * Add gtk322.patch:
    - Upstream patch to fix black background with GTK 3.22
      (Closes: #842443) (LP: #1637893)
  * Bump dh compat to 10
  * debian/control:
    - Build-depend on libtool-bin for dh_auto_test

 -- Jeremy Bicha <email address hidden>  Wed, 07 Dec 2016 15:13:02 -0500

Available diffs

Superseded in zesty-release on 2016-12-08
Deleted in zesty-proposed on 2016-12-09 (Reason: moved to release)
abiword (3.0.2-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Drop patches applied in new version
  * Add Multi-Arch fields suggested by the multi-arch hinter

 -- Jeremy Bicha <email address hidden>  Fri, 21 Oct 2016 17:20:53 -0400
Superseded in zesty-release on 2016-11-02
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
abiword (3.0.1-8build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <email address hidden>  Sat, 17 Sep 2016 11:56:29 +0000
Superseded in yakkety-release on 2016-09-18
Deleted in yakkety-proposed on 2016-09-20 (Reason: moved to release)
abiword (3.0.1-8) unstable; urgency=medium

  * QA upload.
  * debian/source/options:
    - Drop obsolete xz compression option, this is default since Jessie
  * Build-depend on liblink-grammar-dev instead of liblink-grammar4-dev
  * Backport patches from stable 3.0 branch to build with link-grammar 5:
    - 0011-Bug-13650-Fix-build-with-recent-link-grammar-patch-f.patch
    - 0012-Bug-13726-Fix-Grammar-plugin-build-with-link-grammar.patch
  * debian/control:
    - Mention that the grammar plugin only supports English currently

 -- Jeremy Bicha <email address hidden>  Thu, 16 Jun 2016 05:47:15 -0400
Superseded in yakkety-proposed on 2016-06-29
abiword (3.0.1-7build1) yakkety; urgency=medium

  * Rebuild against liblink-grammar5.

 -- Gianfranco Costamagna <email address hidden>  Tue, 28 Jun 2016 12:49:36 +0200
Published in xenial-updates on 2016-07-04
Deleted in xenial-proposed (Reason: moved to -updates)
abiword (3.0.1-6ubuntu0.16.04.1) xenial; urgency=medium

  * abiword-common.install:
    - Install telepathy client. Fixes Abiword autostarting a blank
      document on log in when Empathy is installed and configured
      with Online Accounts. Thanks Alban Browaeys for identifying the cause.
      (LP: #1432271)
  * 0005_language-dialog-scroll.patch:
    - Fix unusable "Set Language" dialog (LP: #1484785)
  * 0009_clean-svg-icon.patch:
    - Fix Abiword high resolution app icon (as used by Unity or GNOME Shell)
      (LP: #1586708)

 -- Jeremy Bicha <email address hidden>  Fri, 10 Jun 2016 22:58:12 -0400
Deleted in wily-proposed on 2016-08-22 (Reason: The package was removed due to its SRU bug(s) not being v...)
abiword (3.0.1-4ubuntu0.15.10.1) wily; urgency=medium

  * abiword-common.install:
    - Install telepathy client. Fixes Abiword autostarting a blank
      document on log in when Empathy is installed and configured
      with Online Accounts. Thanks Alban Browaeys for identifying the cause.
      (LP: #1432271)
  * 0005_language-dialog-scroll.patch:
    - Fix unusable "Set Language" dialog (LP: #1484785)
  * 0009_clean-svg-icon.patch:
    - Fix Abiword high resolution app icon (as used by Unity or GNOME Shell)
      (LP: #1586708)

 -- Jeremy Bicha <email address hidden>  Fri, 10 Jun 2016 22:58:12 -0400
Superseded in yakkety-release on 2016-07-01
Deleted in yakkety-proposed on 2016-07-02 (Reason: moved to release)
abiword (3.0.1-7) unstable; urgency=low

  [ Jeremy Bicha ]
  * QA upload.
  * abiword-common.install:
    - Install telepathy client. Fixes Abiword autostarting a blank
      document on log in. Thanks Alban Browaeys for identifying the cause.
      (Closes: #781764) (LP: #1432271)
  * Backport patches from stable 3.0 branch:
    - 0001_export-paragraph-to-odt.patch
    - 0002_svg-printing.patch (Closes: #682668)
    - 0003_null-column-crash.patch
    - 0004_apply-default-header-style.patch
    - 0005_language-dialog-scroll.patch (LP: #1484785)
    - 0006_protect-against-null-string.patch
    - 0007_gtk-image-scaling.patch
    - 0008_do-nothing-with-unchecked-radio-buttons.patch
    - 0009_clean-svg-icon.patch
    - 0010_fix-parallel-build.patch
  * debian/patches/build-with-aiksaurus-1-2.patch:
    - Look for aiksaurus*-1.2.pc (because that's what is provided in Debian)
    - Note that the Aiksaurus plugin is not installed because Aiksaurus
      is still GTK2
  * debian/control: Bump minimum aiksaurus version to match the above patch
  * Drop obsolete packaging:
    - .menu and .xpm files
    - build-dependencies (gtk2, imagemagick and svn)
    - old README.Debian note about abiword-gnome
    - abiword.preinst: defoma is long gone
    - mimeinfo: replaced by MimeType in .desktop
    - Use automatic dbsym packages instead of manual abiword-dbg package
    - Use dh_strip --dbsym-migration and build-depend on required debhelper
  * Re-enable parallel builds on Linux
  * Explicitly build with all hardening flags
  * Bump Standards-Version to 3.9.8

  [ Gianfranco Costamagna ]
  * VCS in secure mode
  * Drop quilt from b-d

 -- Jeremy Bicha <email address hidden>  Thu, 26 May 2016 19:55:18 -0400
Superseded in yakkety-proposed on 2016-05-29
abiword (3.0.1-6ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <email address hidden>  Wed, 25 May 2016 13:08:10 +0000

Available diffs

Superseded in yakkety-release on 2016-06-01
Deleted in yakkety-proposed on 2016-06-03 (Reason: moved to release)
abiword (3.0.1-6ubuntu1) yakkety; urgency=medium

  * debian/patches/fix_language_dialog.patch:
   - Force the size of the scrollwindows, to actually show the languages
     (LP: #1484785).

 -- Julien Lavergne <email address hidden>  Mon, 16 May 2016 15:37:33 +0200

Available diffs

Superseded in yakkety-release on 2016-05-16
Deleted in yakkety-proposed on 2016-05-18 (Reason: moved to release)
abiword (3.0.1-6build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Fri, 22 Apr 2016 23:56:54 +0000
Superseded in yakkety-release on 2016-04-25
Published in xenial-release on 2016-02-22
Deleted in xenial-proposed (Reason: moved to release)
abiword (3.0.1-6) unstable; urgency=medium

  * QA upload.
  * Build-depend on libboost-dev.

 -- Matthias Klose <email address hidden>  Thu, 18 Feb 2016 21:18:28 +0100
Superseded in xenial-proposed on 2016-02-20
abiword (3.0.1-5ubuntu1) xenial; urgency=medium

  * Build-depend on libboost-dev.

 -- Matthias Klose <email address hidden>  Thu, 18 Feb 2016 21:18:28 +0100

Available diffs

Superseded in xenial-proposed on 2016-02-18
abiword (3.0.1-5build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <email address hidden>  Wed, 17 Feb 2016 22:23:28 +0000
Superseded in xenial-release on 2016-02-22
Deleted in xenial-proposed on 2016-02-23 (Reason: moved to release)
abiword (3.0.1-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with libpng16 (closes: #809882)
  * Use default gnutls cipher/kx priorities, fixes FTBFS with gnutls30.
  * Fix FTBFS with gcc-6 (closes: #811381)

 -- Adam Borowski <email address hidden>  Sat, 23 Jan 2016 21:21:21 +0100
Superseded in xenial-release on 2016-01-24
Deleted in xenial-proposed on 2016-01-25 (Reason: moved to release)
abiword (3.0.1-4build3) xenial; urgency=medium

  * No-change rebuild against new gnome libraries

 -- Iain Lane <email address hidden>  Mon, 02 Nov 2015 15:36:55 +0000

Available diffs

Superseded in xenial-release on 2015-11-07
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
abiword (3.0.1-4build2) wily; urgency=medium

  * No-change rebuild against libwps-0.4-4

 -- Steve Langasek <email address hidden>  Sun, 13 Sep 2015 08:57:07 +0000

Available diffs

Superseded in wily-release on 2015-09-13
Deleted in wily-proposed on 2015-09-14 (Reason: moved to release)
abiword (3.0.1-4build1) wily; urgency=medium

  * Rebuild, follow-up for libstdc++ ABI transition.

 -- Matthias Klose <email address hidden>  Wed, 05 Aug 2015 10:41:13 +0200
Superseded in wily-proposed on 2015-08-05
abiword (3.0.1-4) unstable; urgency=medium

  * QA upload.
  * Stop build mathview plugin: GtkMathView is too old and buggy
    (see bug#785485).

 -- Jonas Smedegaard <email address hidden>  Sat, 01 Aug 2015 21:33:33 +0200
Superseded in wily-release on 2015-08-16
Deleted in wily-proposed on 2015-08-18 (Reason: moved to release)
abiword (3.0.1-3build1) wily; urgency=medium

  * No-change rebuild against e-d-s 3.16

 -- Iain Lane <email address hidden>  Mon, 20 Jul 2015 18:11:28 +0100
Superseded in wily-release on 2015-07-31
Deleted in wily-proposed on 2015-08-01 (Reason: moved to release)
abiword (3.0.1-3) unstable; urgency=medium

  * QA upload.
  * build against libwps 0.4.0 (closes: #788970)

 -- Rene Engelhard <email address hidden>  Tue, 16 Jun 2015 23:11:49 +0200
Superseded in wily-proposed on 2015-06-23
abiword (3.0.1-1git1) wily; urgency=medium

  * Cherry-pick from Debian git
  * build against libwps 0.4.0

 -- Iain Lane <email address hidden>  Tue, 23 Jun 2015 10:50:47 +0100

Available diffs

Superseded in vivid-release on 2015-01-27
Deleted in vivid-proposed on 2015-01-28 (Reason: moved to release)
abiword (3.0.0-5ubuntu2) vivid; urgency=medium

  * No change rebuild for libical transition
 -- Tim Lunn <email address hidden>   Wed, 07 Jan 2015 17:50:40 +1100

Available diffs

Superseded in wily-release on 2015-06-25
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
abiword (3.0.1-1) experimental; urgency=medium


  * QA upload.
  * New upstream release [December 2014].
  * Dropped obsolete patches and lintian-overrides.
  * Install missing files under "usr/share/abiword-3.0".
  * Changed icon installation path.
  * Updated "debian/copyright".

 -- Dmitry Smirnov <email address hidden>  Thu, 01 Jan 2015 11:03:35 +1100
Superseded in vivid-release on 2015-01-07
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
abiword (3.0.0-5ubuntu1) utopic; urgency=medium

  Merge from Debian, remaining changes:
    + New upstream patch to fix SHIFT-CTRL-CURSOR_KEY text selection key
      combinations.
    + r33663_fix-crash-when-saving-as-pdf.patch
    + r33871_fix-redraw-region-in-custom-widget.patch
    + New patch to fix icon path in about dialog

   + Fix FTBFS against libwpd stack.

Available diffs

Published in trusty-updates on 2014-08-11
Deleted in trusty-proposed (Reason: moved to -updates)
abiword (3.0.0-4ubuntu1.1) trusty; urgency=low

  * debian/patches/fix-keyboard-combo-for-text-selection.patch (LP: #1315949)
    + New upstream patch to fix SHIFT-CTRL-CURSOR_KEY text selection key
      combinations.
 -- Thomas Ward <email address hidden>   Sun, 04 May 2014 19:32:06 -0400
Superseded in utopic-release on 2014-07-29
Deleted in utopic-proposed on 2014-07-30 (Reason: moved to release)
abiword (3.0.0-4ubuntu2) utopic; urgency=low

  * debian/patches/fix-keyboard-combo-for-text-selection.patch (LP: #1315949)
    + New upstream patch to fix SHIFT-CTRL-CURSOR_KEY text selection key
      combinations.
 -- Thomas Ward <email address hidden>   Sun, 04 May 2014 19:32:06 -0400

Available diffs

Superseded in utopic-release on 2014-05-15
Published in trusty-release on 2014-04-13
Deleted in trusty-proposed (Reason: moved to release)
abiword (3.0.0-4ubuntu1) trusty; urgency=medium

  * New backported patches:
     + r33663_fix-crash-when-saving-as-pdf.patch (LP: #1262375)
     + r33871_fix-redraw-region-in-custom-widget.patch (LP: #1261203)
  * New patch to fix icon path in about dialog (LP: #1299582).
 -- Thaddaeus Tintenfisch <email address hidden>   Sat, 12 Apr 2014 11:49:49 +0200
Superseded in trusty-release on 2014-04-13
Deleted in trusty-proposed on 2014-04-15 (Reason: moved to release)
abiword (3.0.0-4) unstable; urgency=medium


  * New patch to fix FTBFS with libboost1.54 (Closes: #737551).

 -- Dmitry Smirnov <email address hidden>  Thu, 06 Feb 2014 04:25:45 +1100
Superseded in trusty-proposed on 2014-02-05
abiword (3.0.0-3) unstable; urgency=medium


  * Upload to unstable (Closes: #677402, #705145).
  * New patch to fix FTBFS with bison v3 (Closes: #733391).

 -- Dmitry Smirnov <email address hidden>  Sun, 02 Feb 2014 20:49:49 +1100
Superseded in trusty-release on 2014-02-06
Deleted in trusty-proposed on 2014-02-07 (Reason: moved to release)
abiword (3.0.0-2ubuntu1) trusty; urgency=low

  * Cherrypick patch from NetBSD, to fix FTBFS with bison 3.0.
 -- Dimitri John Ledkov <email address hidden>   Sun, 29 Dec 2013 20:32:20 +0000
Superseded in trusty-proposed on 2013-12-29
abiword (3.0.0-2) experimental; urgency=low


  * No longer Build-Depends on "valgrind" on "armel" (Closes: #729137).

 -- Dmitry Smirnov <email address hidden>  Mon, 25 Nov 2013 08:11:33 +1100

Available diffs

Superseded in trusty-release on 2013-12-29
Deleted in trusty-proposed on 2013-12-31 (Reason: moved to release)
abiword (3.0.0-1) experimental; urgency=low


  * New upstream stable release [October 2013].
  * Transition: evolution-data-server (Closes: #722030)
    + new "evolution-data-server3.8.patch".
    + versioned Build-Deps:
      + libebook1.2-dev (>= 3.8.5)
      + libecal1.2-dev (>= 3.8.5)
    Thanks, Michael Biebl.
  * "debian/watch": no longer check development releases.
  * "debian/rules":
    + better checking for library name
    + adaptive dh-clean to facilitate build from source archive and from
      repository checkout.
    + export LDFLAGS using DEB_LDFLAGS_MAINT_APPEND.
  * Removed libgoffice note from README.Debian as abiword is linked with
    libgoffice again.

 -- Dmitry Smirnov <email address hidden>  Tue, 22 Oct 2013 15:38:08 +1100
Superseded in trusty-release on 2013-10-27
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
abiword (3.0.0~svn20130523-1ubuntu2) saucy; urgency=low

  * No-change rebuild against latest libical
 -- Jeremy Bicha <email address hidden>   Fri, 21 Jun 2013 13:49:10 -0400
Superseded in saucy-proposed on 2013-06-21
abiword (3.0.0~svn20130523-1ubuntu1) saucy; urgency=low

  * debian/patches/build-with-eds-3-6.patch:
    - Build with evolution-data-server >= 3.6
 -- Jeremy Bicha <email address hidden>   Sun, 02 Jun 2013 16:28:33 -0400
Superseded in saucy-proposed on 2013-06-02
abiword (3.0.0~svn20130523-1) experimental; urgency=low


  * New upstream pre-release [r33076].
  * Dropped all backported patches.
  * Dropped unused lintian-overrides.
  * Removed obsolete "DM-Upload-Allowed" field.
  * Build-Depends:
    + libchamplain-gtk-0.12-dev
    + libebook1.2-dev
    + libecal1.2-dev
    + libgoffice-0.10-dev (>= 0.10.2)
  * Standards to version 3.9.4.
  * Updated copyright, added translator's copyrights.
  * Updated and improved rules and get-orig-source
    + added pre-build check for library version.
    + build "--with-goffice" and "goffice" plugin.
  * Replaced "-2.9" with "-*" in install paths.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <email address hidden>  Sat, 01 Jun 2013 15:04:42 +1000
Superseded in saucy-release on 2013-07-05
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
abiword (2.9.2+svn20120603-8) unstable; urgency=medium


  * new backported patch to fix yet another crash on open .DOC files.

 -- Dmitry Smirnov <email address hidden>  Fri, 05 Oct 2012 10:54:53 +1000
Superseded in quantal-release on 2012-10-16
Deleted in quantal-proposed on 2012-10-18 (Reason: moved to release)
abiword (2.9.2+svn20120603-7) unstable; urgency=low


  * new backported patches:
    + r31854_bug-13397-RTF-import-fix-missing-text.patch
      to fix missing numbers in beginning of lines on RTF/DOC import
      (Closes: #688552).
    + r31855_gtk3-bug-13405.patch
    + r31877_start-layout-only-after-document-is-fully-loaded.patch
    - removed unused (duplicate) patch file.

 -- Dmitry Smirnov <email address hidden>  Mon, 24 Sep 2012 11:10:44 +1000
Superseded in quantal-release on 2012-10-08
abiword (2.9.2+svn20120603-6) unstable; urgency=low


  * debian/watch to find all available versions with fallback to latest-dev.
  * new patch to fix collab backend if built --with-gtk2 and to fix FTBFS
    without libgtk-3-dev (finally abiword can be built for GTK2).
  * new backported patches:
    + r31861_fix-FTBFS-with-fake-collab-backend.patch
    + r31901_fix-crash-on-open-doc-with-table-in-header.patch
    + r31909_fix-doc-corruption.patch
    + r31910_fix-memory-leak-in-ABW-exporter.patch
    + r31914_fix-clip-art-window.patch (Closes: #672150)
  * beautified list of Build-Depends.
  * libchamplain-gtk-0.12-dev (optional build-dependency) is added to
    Build-Depends (commented, to conform with freeze policy).

 -- Dmitry Smirnov <email address hidden>  Thu, 13 Sep 2012 13:08:48 +1000
Superseded in quantal-release on 2012-09-14
abiword (2.9.2+svn20120603-5) unstable; urgency=low


  * xz compression for binary packages.
  * new backported patch to fix gtk3 presentation (Closes: #682613).

 -- Dmitry Smirnov <email address hidden>  Thu, 30 Aug 2012 13:24:15 +1000
Superseded in quantal-release on 2012-08-30
abiword (2.9.2+svn20120603-4) unstable; urgency=low


  * new backported patches:
    + r31490_fix-crash-if-inserting-a-footnote.patch
    + r31566_rearrange-date-and-time-formats.patch
    + r31576_remove-separator-from-insert-dialogs.patch
    + r31748_fix-crash-with-copy-paste.patch
    + r31749_fix-bug-with-copy-paste.patch
    + r31753_fix-crash-on-paste.patch
    + r31755_fix-crash-with-create-and-modify-styles-dialog.patch
    + r31767_fix-possible-crash.patch
    + r31768_correct-horizontal-scroll-limit.patch
    + r31842_fix-crash-13401.patch
    + r31843_prevent-crash.patch
    + r31847_fix-program-hanging-during-paste-unformatted.patch
  * old backported patches are renamed to have revision number in file name.
  * lintian-override for 'no-symbols-control-file' (not useful for CPP).

 -- Dmitry Smirnov <email address hidden>  Fri, 24 Aug 2012 11:09:56 +1000
Superseded in quantal-release on 2012-08-24
abiword (2.9.2+svn20120603-2) unstable; urgency=low


  * build verbosity increased with --disable-silent-rules
  * lintian-overrides:
    + 'hardening-no-fortify-functions' (false-positives).
    + 'dev-pkg-without-shlib-symlink' (libabiword-2.9.so is a library,
      not a symlink).
  * new patches:
    + format-hardening.patch to avoid FTBFS on --with-gtk2 build.
    + fix-wheel-scrolling.patch (Closes: #672149).
    + fix-paste.patch (backported) with fix for
      "Crash on unicode character paste" (Closes: #681060).
    + no-dbl-buf.patch to disable double buffering in order to prevent
      crash on 'Paste Unformatted'.

 -- Dmitry Smirnov <email address hidden>  Fri, 17 Aug 2012 11:08:23 +1000
Superseded in quantal-release on 2012-08-17
abiword (2.9.2+svn20120603-1) unstable; urgency=low


  * New upstream version based on 'trunk' r31326 as of 2012-06-02
    + updated man page
    + updated translations
    + fixed crash on text selection (Closes: #672412)
    + fixed crash with 'borders and shading' (Closes: #672148)
  * depends on 'fonts-lyx' instead of transitional 'ttf-lyx'
    (Closes: #674820)
  * dropped debian/copyright.hints and its generation code
  * new patch to avoid FTBFS in 'grammar' plugin
  * minor make-clean.patch update
  * Debian source compression to .xz
  * DM-Upload-Allowed: yes! (Thanks to Aron Xu)

 -- Dmitry Smirnov <email address hidden>  Wed, 06 Jun 2012 03:37:53 +1000
Superseded in quantal-release on 2012-06-08
abiword (2.9.2+svn20120406-1) unstable; urgency=low


  * New upstream version based on 'trunk' r30779 as of 2012-04-05
    (Closes: #666491 N:"document totally crashes abiword...")
    • dropped FTBFS-regression.patch (applied-upstream)
    • dropped gnomeoffice-url.patch (applied-upstream)
  * d-rules: get correct number of CPUs for parallel build on Linux
    (Closes: #665853 W:"Build process not is paralleled on some Linux
     architectures")
  * minor update to get-orig-source to produce cleaner ©.hints file

 -- Dmitry Smirnov <email address hidden>  Sat, 07 Apr 2012 14:40:54 +1000
Superseded in quantal-release on 2012-05-14
abiword (2.9.2+svn20120215-2) unstable; urgency=low


  * d-copyright:
    + audit of upstream copyrights/licenses;
    + added copyrights of debian contributors
    + DEP-5 URL is updated
  * copyright.hints and 'licensecheck' target
    to track upstream copyright/licensing changes
  * d-control:
    + build-deps: transition from 'libpng12-dev' to 'libpng-dev'
      (Closes: #662262 I:"Build-Depends on libpng-dev..."
    + standards to 3.9.3
    + 'flex' moved to build-deps from build-deps-indep
      to always rebuild arc-independent files
  * d-rules: build with '+bindnow' hardening

 -- Dmitry Smirnov <email address hidden>  Mon, 05 Mar 2012 15:11:31 +1100
Superseded in quantal-release on 2012-05-01
Published in precise-release on 2012-02-23
abiword (2.9.2+svn20120213-1) unstable; urgency=low


  * New Upstream Release, based on 'trunk' version as of 2012-02-12
    (Closes: #659658 "segfaults on powerpc")

 -- Dmitry Smirnov <email address hidden>  Fri, 17 Feb 2012 21:11:38 +1100
Superseded in precise-release on 2012-02-23
abiword (2.9.2+svn20120123-1build1) precise; urgency=low

  * No changes rebuild for libwv-1.2-4
 -- Angel Abad <email address hidden>   Mon, 13 Feb 2012 09:18:35 +0100
Superseded in precise-release on 2012-02-13
abiword (2.9.2+svn20120123-1) unstable; urgency=low


  * New Upstream Release, based on 'trunk' version as of 2012-01-23
    (Closes: #657287 "very slow start with many fonts installed")
  * Added upstream ChangeLog
  * Drop FTBFS patch for GNU/Hurd (accepted upstream)
  * Drop 656335-telepathy.patch (not needed in trunk)
  * Disabled make-clean.patch (not needed in trunk)
  * Disabled old fix-format-security.patch (needs update)
  * Patch to update Gnome Office URL (Closes: #657909)
  * Recommend fonts-liberation instead of ttf-liberation
  * flex added to Build-Depends-Indep to force regeneration of lex.yy.c
  * subversion(-tools) added to Build-Depends to satisfy get-orig-source
  * debian/rules:
    + get-orig-source modified for SVN
    + --enable-collab-backend-sugar
    + --with-redland
    + safer defaults for parallel build
  * Bugs squashed:
    - (Closes: #582225 "Abiword hangs/freezes when trying to embed
       Gnumeric file")
    - (Closes: #650302 "When changing principal direction of bidi text,
       it gets reversed and then cursor skips)
    - (Closes: #456624 "renders Khmer Unicode as small circles unless a
       Khmer font is applied")

 -- Dmitry Smirnov <email address hidden>  Fri, 27 Jan 2012 19:21:11 +1100

Available diffs

Superseded in precise-release on 2012-02-02
abiword (2.9.2-4) unstable; urgency=low


  * FTBFS4Hurd.patch is updated.
  * force build-time regeneration of binary files shipped with sources
    + 'bison' added to Build-Depends
  * patch to prevent abiword from breaking its own source tree
    (prevent failure on second build)
  * arch-specific patch no longer break second build

 -- Dmitry Smirnov <email address hidden>  Sat, 21 Jan 2012 12:20:09 +1100

Available diffs

Superseded in precise-release on 2012-01-21
abiword (2.9.1-0.2) unstable; urgency=low


  * Non-maintainer upload.
  * Drop Build-Depends on obsolete libgucharmap2-dev. Closes: #648026

 -- Michael Biebl <email address hidden>  Tue, 08 Nov 2011 13:06:45 +0100
Superseded in precise-release on 2011-12-19
abiword (2.8.6-0.4ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + Build-depend on libxcb-util0-dev instead of libxcb-render-util0-dev.
  * debian/patches/fix_format_security.diff:
    + plugins/collab/backends/service/unix/ap_UnixDialog_GenericInput.cpp
    + plugins/collab/backends/service/unix/ap_UnixDialog_GenericProgress.cpp
    + src/af/xap/gtk/xap_UnixDialogHelper.cpp
    + src/af/xap/gtk/xap_UnixDlg_Image.cpp
    + src/af/xap/gtk/xap_UnixDlg_Zoom.cpp
    + src/af/xap/xp/xap_Prefs.cpp
    + src/wp/ap/gtk/ap_UnixDialog_Annotation.cpp
    + src/wp/ap/gtk/ap_UnixDialog_Break.cpp
    + src/wp/ap/gtk/ap_UnixDialog_Field.cpp
    + src/wp/ap/gtk/ap_UnixDialog_FormatFootnotes.cpp
    + src/wp/ap/gtk/ap_UnixDialog_FormatFrame.cpp
    + src/wp/ap/gtk/ap_UnixDialog_FormatTOC.cpp
    + src/wp/ap/gtk/ap_UnixDialog_FormatTable.cpp
    + src/wp/ap/gtk/ap_UnixDialog_HdrFtr.cpp
    + src/wp/ap/gtk/ap_UnixDialog_InsertTable.cpp
    + src/wp/ap/gtk/ap_UnixDialog_Insert_DateTime.cpp
    + src/wp/ap/gtk/ap_UnixDialog_MailMerge.cpp
    + src/wp/ap/gtk/ap_UnixDialog_MetaData.cpp
    + src/wp/ap/gtk/ap_UnixDialog_Options.cpp
    + src/wp/ap/gtk/ap_UnixDialog_PageNumbers.cpp
    + src/wp/ap/gtk/ap_UnixDialog_Stylist.cpp

Superseded in precise-release on 2011-10-26
Obsolete in oneiric-release on 2015-04-24
abiword (2.8.6-0.3ubuntu2) oneiric; urgency=low

  * Build-depend on libxcb-util0-dev instead of libxcb-render-util0-dev.
 -- Matthias Klose <email address hidden>   Fri, 02 Sep 2011 14:31:43 +0200
Superseded in oneiric-release on 2011-09-02
abiword (2.8.6-0.3ubuntu1) oneiric; urgency=low

  * debian/patches:
    - fix-ftbfs-gcc-46.diff: correctly pass linker options.     lp: #765948
    - series: add this patch.
 -- Lionel Le Folgoc <email address hidden>   Wed, 17 Aug 2011 21:15:54 +0200
Superseded in oneiric-release on 2011-08-17
Obsolete in natty-release on 2013-06-04
abiword (2.8.6-0.3build1) natty; urgency=low

  * No-change rebuild to pick up multiarch libs.
 -- Andreas Moog <email address hidden>   Thu, 07 Apr 2011 18:42:10 +0200
Superseded in natty-release on 2011-04-07
abiword (2.8.6-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * by request of the release team: disable psion plugin, as it blocks
    this package 

Available diffs

Superseded in natty-release on 2011-02-15
abiword (2.8.6-0.1build1) natty; urgency=low

  * No change rebuild against current word perfect library ABI's
 -- Bhavani Shankar <email address hidden>   Thu, 30 Dec 2010 06:23:13 +0530

Available diffs

Superseded in natty-release on 2010-12-30
abiword (2.8.6-0.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * New upstream release. Fixes:
    - Can't open password protected ODT files (Closes: #577733).
    - Scrolling with cursor keys is slow (important; Closes: #498285).
    - Crash on occasions when importing OpenDocument files.
    - Crash when trying to print (important; Closes: #580346).
    - Crash on accessing Tools -> Thesaurus menu (normal; Closes: #569272).
    - Crash on saving as PDF (normal; Closes: #520424).
    - Crash on trying to access Help (normal: Closes: #586245).
    - Crash on 3 MiB RTF file (normal; Closes: #552575);
  * debian/control
    - (Standards-Version): Update to 3.9.1.
  * debian/patches
    - (fixes/svn-backports.diff): Remove. Obsoleted by new release
    - (fixes/mime-types.diff): Refresh. Move abiword.desktop changes to
      separate diff.
    - (fixes/mime-types-desktop.diff): New file.

  [  Hideki Yamane (Debian-JP) <email address hidden> ]
  * debian/rules
    - (CC, CXX): Remove variables.
    - (LDFLAGS): New variable. Move content from --as-needed from CC, CXX
      variable. See bug #577871 for details.
  * debian/control
    - (Build-Depends): Add flex, bison.
 -- Angel Abad <email address hidden>   Wed, 20 Oct 2010 14:46:20 +0300

Available diffs

Superseded in natty-release on 2010-10-30
Obsolete in maverick-release on 2013-03-05
abiword (2.8.6-0ubuntu1) maverick; urgency=low

  * New upstream release.
 -- Lionel Le Folgoc <email address hidden>   Sun, 20 Jun 2010 17:23:48 +0200

Available diffs

Superseded in maverick-release on 2010-06-20
abiword (2.8.4-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #519541).
  * debian/patches/fixes:
   - Refresh mime-types.diff to apply on new release.
   - Drop svn-backports.diff, applied upstream.
 -- Andrew Starr-Bochicchio <email address hidden>   Mon, 17 May 2010 18:22:23 -0400

Available diffs

Obsolete in lucid-updates on 2016-10-26
Deleted in lucid-proposed on 2016-11-01 (Reason: moved to -updates)
abiword (2.8.2-2ubuntu1.1) lucid-proposed; urgency=low

  * debian/patches/debian/abiword-libxml2-xmlCleanupParser-is-harmful.patch
    - Fix by Michal Schmidt (Fedora Bug: #554899)
      "remove harmful calls to xml{Init,Cleanup}Parser"
    - Fixes Abiword locking up when opening help (LP: #519541)
 -- Arand Nash <email address hidden>   Mon, 17 May 2010 16:11:16 +0100
Superseded in maverick-release on 2010-05-17
Obsolete in lucid-release on 2016-10-26
abiword (2.8.2-2ubuntu1) lucid; urgency=low

  * FFe granted, upload to ubuntu. lp: #543612

Available diffs

Superseded in lucid-release on 2010-03-22
Superseded in lucid-release on 2010-03-03
abiword (2.8.1-2ubuntu2) lucid; urgency=low

  * Rebuild against latest goffice. lp: #523763
  * debian/control: bump liblink-grammar4-dev build-dep to (>= 4.6.5-1ubuntu1)
    to force rebuilding against the fixed version, fixes FTBFS.
 -- Lionel Le Folgoc <email address hidden>   Fri, 19 Feb 2010 21:07:41 +0100

Available diffs

Superseded in lucid-release on 2010-02-19
Superseded in lucid-release on 2010-02-08
Superseded in lucid-release on 2010-01-20
abiword (2.8.1-2ubuntu1) lucid; urgency=low

  * debian/control: Remove libpsiconv-dev from build dependencies, as
    it's in universe. Fixes FTBFS.
  * debian/rules: Remove psion from list of plugins to build due to
    above change.

Available diffs

Superseded in lucid-release on 2010-01-13
abiword (2.8.1-1) unstable; urgency=low

  * New upstream release
  * Make myself maintainer (closes: #548365)
  * Documentation is now in abiword-docs, built from a separate source
    package.
  * Merge abiword-plugin-goffice into main package, as abiword requires
    goffice in any case.
  * Ship libabiword-2.8 (closes: #512777)
  * Remove dependency on libreadline5-dev (closes: #553713)
  * Drop build-dep on libgnomeprintui (closes: #542552)
 -- Sebastien Bacher <email address hidden>   Wed,  02 Dec 2009 14:07:28 +0000

Available diffs

Superseded in lucid-release on 2009-12-02
Obsolete in karmic-release on 2013-03-04
abiword (2.6.8-5ubuntu2) karmic; urgency=low

  * Fix FTBFS with gcc 4.4 (LP: #429099)
    - Add debian/patches/05_ftbfs_gcc44.diff

 -- Felix Geyer <email address hidden>   Mon, 14 Sep 2009 00:08:54 +0200

Available diffs

Superseded in karmic-release on 2009-09-14
abiword (2.6.8-5ubuntu1) karmic; urgency=low

  * Merge from debian/unstable, remaining changes: (LP: #376268)
    - debian/control, debian/rules, abiword-plugin-goffice.install:
      - Drop libgoffice-0-dev build dependency and build --without-goffice,
        since the old goffice 0.4 is in universe and Abiword does not yet
        work with the current 0.6. Drop the -goffice package.

Available diffs

175 of 109 results